Skip to main content
PUT
/
v1
/
platform
/
phone-numbers
/
users
/
{user_id}
/
{phone_number_id}
Switch a Phone Number On or Off
curl --request PUT \
  --url https://api-sandbox.finogates.com/v1/platform/phone-numbers/users/{user_id}/{phone_number_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "status": 123
}'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "phone_number": "<string>",
  "friendly_name": "<string>",
  "status": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "iso_country": "<string>",
  "is_deleted": false,
  "payment_intent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

user_id
string
required
phone_number_id
string
required

Body

application/json

Update phone number status (enable/disable).

status
integer
required

Response

Successful Response

Tenant-facing phone number (provider identifiers hidden).

id
string<uuid>
required
phone_number
string
required
friendly_name
string | null
required
status
integer
required
created_at
string<date-time>
required
iso_country
string | null
is_deleted
boolean
default:false
payment_intent_id
string<uuid> | null